## Installation and Configuration


If you trust us, just get the compiled binaries and copy them to
`/usr/local/{s,}bin/` (but you shouldn't: [TODO: compiling -> altra pagina]).

Running circolog is pretty easy: just run `circologd` by hand or in your
favourite service manager: here are some contrib scripts for SysV, systemd,
supervisor... but consider them as hints, don't just copy them!

[TODO: add scripts]

### System Integration

While circologd can be your only syslog daemon, you might want to couple it
with another syslog to have the best of both worlds. For example, you could use
rsyslog (or syslog-ng) to write important (ie: `priority >= notice`) log to
persistent storage, letting circolog handle short-term but heavily detailed
logs.

Or you could make circolog get messages from `journald`. While possibilities are
endless, we tried to document some common setups.

#### Use Case: circologd as the only syslog

[mica lo so se funziona, credo di no, ma proviamo] bind it to `/dev/log`.

#### Use Case: circologd receiving messages from syslog-ng

Put this in `/etc/syslog-ng/conf.d/circolog.conf`

```
destination d_circolog {
	unix-dgram("/run/circolog/syslog.sock"
			flags(syslog-protocol)
		   );
};
log { source(s_src); destination(d_circolog); };
```

This doesn't tell syslog-ng not to log to disk.

Change `/etc/syslog-ng.conf` according to your need.

#### Use Case: circologd receiving messages from rsyslog

rsyslogd can easily be configured to send every message to circolog:

```
$ModLoad omuxsock
$OMUxSockSocket /tmp/circolog.sock
*.* :omuxsock:
```

If you want to force messages of level `debug` and `info` not to be logged to disk, you can put this snippet
at the **top** of the rules

```
$ModLoad omuxsock
$OMUxSockSocket /tmp/circolog.sock
*.* :omuxsock:
*.=debug;*.=info stop
```

#### Use Case: circologd receiving messages from journald

[TODO: il codice va ancora scritto: bisogna bindare /run/systemd/journal/syslog
con formato != rfc5424]


